<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SiteManagement extends Model {
	use HasFactory, SoftDeletes;

	public $fillable = [
		'route',
		'title',
	];

	function siteManagementContentField() {
		return $this->hasMany(SiteManagementContentField::class)
			->orderBy('site_management_id', 'asc')
			->orderBy('site_management_component_field_id', 'asc')
			->orderBy('site_management_field_type_id', 'asc');
	}
}
